|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Data Fields
CRC_INTERFACE Struct Reference
MPLABX MCC Melody Code Generator » CRC Driver

Structure containing the function pointers of CRC driver. More...

`#include <C:/MCU16Projects/bitbucket/dspic33ck-power-dcdc-dual-active-bridge-development-platform/dspic33ck-dab.X/mcc_generated_files/crc/crc_interface.h>`

Collaboration diagram for CRC_INTERFACE:

## Data Fields
void(* | Initialize )(void)
| Pointer to CRC_Initialize.
void(* | Deinitialize )(void)
| Pointer to CRC_Deinitialize.
void(* | SeedSet )(uint32_t seed, enum CRC_SEED_METHOD seedMethod, enum CRC_SEED_DIRECTION seedDirection)
| Pointer to CRC_SeedSet.
void(* | CalculateBufferStart )(void *buffer, uint32_t sizeBytes)
| Pointer to CRC_CalculateBufferStart.
void(* | CalculateProgramStart )(uint32_t startAddr, uint32_t sizeBytes)
| Pointer to CRC_CalculateProgramStart.
bool(* | CalculationIsDone )(void)
| Pointer to CRC_CalculationIsDone.
uint32_t(* | CalculationResultGet )(bool reverse, uint32_t xorValue)
| Pointer to CRC_CalculationResultGet.
uint32_t(* | CalculationResultRawGet )(void)
| Pointer to CRC_CalculationResultRawGet.
uint32_t(* | CalculationResultReverseGet )(void)
| Pointer to CRC_CalculationResultReverseGet
uint32_t(* | CalculationResultXORGet )(uint32_t xorValue)
| Pointer to CRC_CalculationResultXORGet.
void(* | EventCallbackRegister )(void(*CallbackHandler)(void))
| Pointer to CRC_EventCallbackRegister.
void(* | Tasks )(void)
| Pointer to CRC_Tasks (Supported only in polling mode)

## Detailed Description

Definition at line 54 of file crc_interface.h.

## Field Documentation

## ◆ CalculateBufferStart

void(* CalculateBufferStart) (void *buffer, uint32_t sizeBytes)

Definition at line 65 of file crc_interface.h.

## ◆ CalculateProgramStart

void(* CalculateProgramStart) (uint32_t startAddr, uint32_t sizeBytes)

Definition at line 68 of file crc_interface.h.

## ◆ CalculationIsDone

bool(* CalculationIsDone) (void)

Definition at line 71 of file crc_interface.h.

## ◆ CalculationResultGet

uint32_t(* CalculationResultGet) (bool reverse, uint32_t xorValue)

Definition at line 74 of file crc_interface.h.

## ◆ CalculationResultRawGet

uint32_t(* CalculationResultRawGet) (void)

Definition at line 77 of file crc_interface.h.

## ◆ CalculationResultReverseGet

uint32_t(* CalculationResultReverseGet) (void)

Definition at line 80 of file crc_interface.h.

## ◆ CalculationResultXORGet

uint32_t(* CalculationResultXORGet) (uint32_t xorValue)

Definition at line 83 of file crc_interface.h.

## ◆ Deinitialize

void(* Deinitialize) (void)

Definition at line 59 of file crc_interface.h.

## ◆ EventCallbackRegister

void(* EventCallbackRegister) (void(*CallbackHandler)(void))

Definition at line 86 of file crc_interface.h.

## ◆ Initialize

void(* Initialize) (void)

Definition at line 56 of file crc_interface.h.

## ◆ SeedSet

void(* SeedSet) (uint32_t seed, enum CRC_SEED_METHOD seedMethod, enum CRC_SEED_DIRECTION seedDirection)

Definition at line 62 of file crc_interface.h.

## ◆ Tasks

void(* Tasks) (void)

Definition at line 89 of file crc_interface.h.

The documentation for this struct was generated from the following file:

- dspic33ck-dab.X/mcc_generated_files/crc/crc_interface.h